Package ghidra.app.util.bin.format.omf.omf51

# Class Omf51ModuleEnd

java.lang.Object
ghidra.app.util.bin.format.omf.OmfRecord
ghidra.app.util.bin.format.omf.omf51.Omf51ModuleEnd

All Implemented Interfaces:
  `StructConverter`

public class Omf51ModuleEnd extends OmfRecord

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.omf.OmfRecord

  `checkSum, data, dataEnd, dataReader, recordLength, recordOffset, recordType`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Omf51ModuleEnd(BinaryReader reader)`
  Creates a new `Omf51ModuleEnd` record

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `getRegisterMask()`
  Returns the register mask.
  `void`
  `parseData()`
  Parses this `OmfRecord`'s type-spefic data
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class ghidra.app.util.bin.format.omf.OmfRecord

  `calcCheckSum, getData, getRecordChecksum, getRecordLength, getRecordOffset, getRecordType, hasBigFields, toString, validCheckSum`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Omf51ModuleEnd

    public Omf51ModuleEnd(BinaryReader reader) throws IOException
    Creates a new `Omf51ModuleEnd` record
    Parameters:
      `reader` - A `BinaryReader` positioned at the start of the record
    Throws:
      `IOException` - if an IO-related error occurred

- ## Method Details

  - ### parseData

    public void parseData() throws IOException, OmfException
    Description copied from class: `OmfRecord`
    Parses this `OmfRecord`'s type-spefic data
    Specified by:
      `parseData` in class `OmfRecord`
    Throws:
      `IOException` - if there was an IO-related error
      `OmfException` - if there was a problem with the OMF specification

  - ### getRegisterMask

    public byte getRegisterMask()
    Returns the register mask.
    Returns:
      the register mask

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Specified by:
      `toDataType` in class `OmfRecord`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`